umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_codeimpstatuspage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codeimpwizard/codeimpstatuspage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CodeImpStatusPage_t
struct | qt_meta_stringdata_CodeImport__LedStatus_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CodeImpStatusPage_t | qt_meta_stringdata_CodeImpStatusPage
static const uint | qt_meta_data_CodeImpStatusPage []
static const qt_meta_stringdata_CodeImport__LedStatus_t | qt_meta_stringdata_CodeImport__LedStatus
static const uint | qt_meta_data_CodeImport__LedStatus []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL [1/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CodeImpStatusPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CodeImpStatusPage_t
Definition: moc_codeimpstatuspage.cpp:24

## ◆ QT_MOC_LITERAL [2/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CodeImport__LedStatus_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CodeImport__LedStatus_t
Definition: moc_codeimpstatuspage.cpp:171

## Variable Documentation

## ◆ qt_meta_data_CodeImport__LedStatus

const uint qt_meta_data_CodeImport__LedStatus[]
| static

Initial value:
= {
8,
0,
0, 0,
0, 0,
0, 0,
0, 0,
0, 0,
0,
0,
0
}

## ◆ qt_meta_data_CodeImpStatusPage

const uint qt_meta_data_CodeImpStatusPage[]
| static

## ◆ qt_meta_stringdata_CodeImport__LedStatus

const qt_meta_stringdata_CodeImport__LedStatus_t qt_meta_stringdata_CodeImport__LedStatus
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 21)
},
"CodeImport::LedStatus"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_codeimpstatuspage.cpp:175

## ◆ qt_meta_stringdata_CodeImpStatusPage

const qt_meta_stringdata_CodeImpStatusPage_t qt_meta_stringdata_CodeImpStatusPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 17),
QT_MOC_LITERAL(1, 18, 10),
QT_MOC_LITERAL(2, 29, 0),
QT_MOC_LITERAL(3, 30, 14),
QT_MOC_LITERAL(4, 45, 7),
QT_MOC_LITERAL(5, 53, 14),
QT_MOC_LITERAL(6, 68, 16),
QT_MOC_LITERAL(7, 85, 14),
QT_MOC_LITERAL(8, 100, 12),
QT_MOC_LITERAL(9, 113, 4),
QT_MOC_LITERAL(10, 118, 4),
QT_MOC_LITERAL(11, 123, 12),
QT_MOC_LITERAL(12, 136, 12),
QT_MOC_LITERAL(13, 149, 18),
QT_MOC_LITERAL(14, 168, 11),
QT_MOC_LITERAL(15, 180, 12)
},
"CodeImpStatusPage\0importCode\0\0"
"importCodeFile\0noError\0importNextFile\0"
"importCodeFinish\0importCodeStop\0"
"updateStatus\0file\0text\0messageToLog\0"
"messageToApp\0populateStatusList\0"
"loggerClear\0loggerExport"
}